Modify

Opened 7 years ago

Closed 7 years ago

Last modified 7 years ago

#7658 closed enhancement (fixed)

please create virtual package pure-ftpd-tls

Reported by: ddxx0n Owned by: developers
Priority: low Milestone: Backfire 10.03.1
Component: packages Version: Trunk
Keywords: Cc:

Description

I guess the default pure-ftpd package does not support tls due to the dependency on OpenSSL.

However, if you've got that installed anyway (like with OpenVPN), there is no reason not to enable it. The only things that have to be changed are to add +libopenssl to DEPENDS: and to add --with-tls to CONFIGURE_ARGS. Creating a package pure-ftpd-tls might do the job, attached is the changed Makefile.

Attachments (1)

Makefile (1.8 KB) - added by ddxx0n 7 years ago.
Makefile for pure-ftp with tls enabled = new package pure-ftpd-tls

Download all attachments as: .zip

Change History (3)

Changed 7 years ago by ddxx0n

Makefile for pure-ftp with tls enabled = new package pure-ftpd-tls

comment:1 Changed 7 years ago by florian

  • Resolution set to fixed
  • Status changed from new to closed

Added in r22440, the correct thing was to add a build variant, which as you can see reduces the effort in providing other options.

comment:2 Changed 7 years ago by nico

  • Milestone changed from Kamikaze Features Paradise to Backfire 10.03.1

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.